%define post_apacheconf		/sbin/service httpd condreload
%define postun_apacheconf	/sbin/service httpd condreload
%define appname	bugzilla
%define appvers	2.19

#Name:       bugzilla
Name:       %appname%appvers
Version:	%appvers.2
#for Sisyphus:
Release:	alt1
#for Backports M2.4:
#Release:	alt0.M24.1
Summary:	%appname - a bug tracking system developed by mozilla.org.

License:	MPL
Group:		Networking/WWW

%define apache_num 60
#define bugzilla_name %{name}.test
%define bugzilla_name %name

%define apache_group apache
%define apache_webmaster webmaster
%define apache_home %_var/www/html
%define bugzilla_dir %apache_home/%bugzilla_name
%define apache_confdir %_sysconfdir/httpd/conf
%define apache_addonconfdir %apache_confdir/addon-modules.d

%define bugzilla_ftp http://ftp.mozilla.org/pub/mozilla.org/webtools

Prefix: %apache_home

Source0:	%bugzilla_ftp/%appname-%version.tar.gz
Source1:	%appname.conf
Source2:	%appname.cron
#Patch1:		bugzilla-add-lang-switch-2.16.8.patch
Patch2:		bugzilla-2.19.2-editproducts_minimaze.patch
Patch3:		bugzilla-2.19.2-enter_bug.patch
Patch4:		bugzilla-2.19.2-simple_query.patch
#Patch5:		bugzilla-usesearchcomponentsenterbug-feat.patch.gz
Patch10:	bugzilla-2.19.2-components_type.patch
Patch11:	bugzilla-2.19.2-post_bug.patch
Patch12:	bugzilla-2.19.2-globals_pl.patch
Patch13:	bugzilla-2.19.2-checksetup.patch
Patch14:	bugzilla-2.19.2-announce-all.patch
Patch20:	bugzilla-2.19.2-alt-bdname.patch
URL:		http://www.bugzilla.org/

AutoReq:	noperl

## General BuildRequires (checksetup.pl):
# Automatically added by buildreq on Wed Apr 13 2005 (-bi)
BuildRequires: perl-CGI perl-Convert-ASN1 perl-DBI perl-DBM perl-Template perl-TimeDate perl-XML-Parser perl-devel perl-i18n perl-ldap perl-pod

BuildRequires:	perl(AppConfig.pm) >= 0:1.52
BuildRequires:	perl(DBI.pm) >= 0:1.36
BuildRequires:	perl(Template.pm) >= 0:2.08
BuildRequires:	perl(Date/Format.pm)
BuildRequires:	perl(CGI.pm)
BuildRequires:	perl(CGI/Carp.pm)
BuildRequires:	perl(DBD/mysql.pm)
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(File/Temp.pm)
BuildRequires:	perl(Text/Wrap.pm)
BuildRequires:	perl(Data/Dumper.pm)
BuildRequires:	perl(Date/Parse.pm)

## Any BuildRequires (no checksetup.pl):
BuildRequires:	perl(CGI/Carp.pm), perl(AnyDBM_File.pm)
BuildRequires:	perl(Errno.pm), perl(Fcntl.pm), perl(File/Find.pm)
BuildRequires:	perl(File/Glob.pm), perl(IO/Handle.pm), perl(Socket.pm)
BuildRequires:	perl(Test/Harness.pm), perl(diagnostics.pm), perl(lib.pm) 
BuildRequires:	perl(CGI/Cookie.pm), perl(Net/LDAP.pm), perl(Safe.pm)
BuildRequires:	perl(Template/Plugin.pm), perl(Template/Stash.pm)
BuildRequires:	perl(base.pm), perl(constant.pm), perl(MIME/Base64.pm)

## General Requires (checksetup.pl):
Requires:	perl(AppConfig.pm) >= 0:1.52
Requires:	perl(DBI.pm) >= 0:1.36
Requires:	perl(Template.pm) >= 0:2.08
Requires:	perl(Date/Format.pm)
Requires:	perl(CGI.pm)
Requires:	perl(CGI/Carp.pm)
Requires:	perl(DBD/mysql.pm)
Requires:	perl(File/Spec.pm)
Requires:	perl(File/Temp.pm)
Requires:	perl(Text/Wrap.pm)
Requires:	perl(Data/Dumper.pm)
Requires:	perl(Date/Parse.pm)

## Any Requires (no checksetup.pl):
Requires:	perl(CGI/Carp.pm), perl(AnyDBM_File.pm), perl(MIME/Base64.pm)
Requires:	perl(Errno.pm), perl(Fcntl.pm), perl(File/Find.pm)
Requires:	perl(File/Glob.pm), perl(IO/Handle.pm), perl(Socket.pm)
Requires:	perl(Test/Harness.pm), perl(diagnostics.pm), perl(lib.pm) 

Requires:	apache

## Requires in bugzilla-perl:
Requires:	perl(Bugzilla.pm), perl(Bugzilla/Bug.pm), perl(Bugzilla/BugMail.pm)
Requires:	perl(Bugzilla/Chart.pm), perl(Bugzilla/Config.pm)
Requires:	perl(Bugzilla/Constants.pm), perl(Bugzilla/DB.pm)
Requires:	perl(Bugzilla/Error.pm), perl(Bugzilla/Flag.pm)
Requires:	perl(Bugzilla/FlagType.pm), perl(Bugzilla/RelationSet.pm)
Requires:	perl(Bugzilla/Search.pm), perl(Bugzilla/Series.pm)
Requires:	perl(Bugzilla/Token.pm), perl(Bugzilla/User.pm)
Requires:	perl(Bugzilla/Util.pm)

#Conflicts:	bugzilla-ru <= 2.16.1.1.0-alt1
Provides:	bugzilla-%version-%release

BuildArch:	noarch

%description
%name - Bugzilla is the bug tracking system developed
by mozilla.org. Mozilla.org is a group within Netscape that
acts as a clearinghouse for Netscape source code. 

Bugzilla since 2.19 is template driven, which makes it easier to
do customizations.

Please do take the time to read the release notes found in:
%_docdir/%name-%version/rel_notes.txt

%package -n %name-perl
Summary:	Bugzilla perl Modules.
Group:		Networking/WWW

Requires:	perl(DBI.pm) >= 0:1.13
Requires:	perl(Template.pm) >= 0:2.08
Requires:	perl(Date/Format.pm) >= 0:2.21


%description -n %name-perl
name-perl - Bugzilla perl Modules.


%package -n %name-doc
Summary:	A docs for Bugzilla.
Group:		Books/Other

%description -n %name-doc
%name-doc - *.txt, *.html and *.xml docs for Bugzilla. Include
Bugzilla-Guide.txt


%package -n %name-doc-pdf
Summary:	Bugzilla-Guide.pdf.
Group:		Books/Other

%description -n %name-doc-pdf
%name-doc-pdf - *.pdf docs for Bugzilla.


%prep
%setup -q -n %appname-%version
#patch0 -p1
#patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#patch5 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch20 -p1

%build

%install
# Any files
%__install -pd -m3770 %buildroot%bugzilla_dir

%__cp -aRf template %buildroot%bugzilla_dir/
%__cp -aRf images skins %buildroot%bugzilla_dir/
#__cp -aRf css %buildroot%bugzilla_dir/

%__install -m755 *.cgi *.pl %buildroot%bugzilla_dir/
%__install -m644 *.dtd *.html *.jpg *.js robots.txt %buildroot%bugzilla_dir/
#__install -m644 localization.list %buildroot%bugzilla_dir/
#__install -m755 syncshadowdb processmail %buildroot%bugzilla_dir/

# Perl modules
%__install -pd %buildroot%_libexecdir/perl5
%__cp -aRf Bugzilla %buildroot%_libexecdir/perl5/
%__install -m644 *.pm %buildroot%_libexecdir/perl5/
#__mv %buildroot%bugzilla_dir/defparams.pl %buildroot%_libexecdir/perl5/
%__cp -a %buildroot%bugzilla_dir/defparams.pl %buildroot%_libexecdir/perl5/

# apache configuration
%__install -pD %SOURCE1 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%apache_num%name.conf
%__subst '\@^[[:space:]]*<Directory[[:space:]][[:space:]]*@s@/bugzilla>@/%name>@' %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%apache_num%name.conf

# cron task
%__install -pD %SOURCE2 %buildroot/%_sysconfdir/cron.daily/%name
%__subst '\@^[[:space:]]*cd[[:space:]][[:space:]]*@s@/bugzilla@/%name@' %buildroot/%_sysconfdir/cron.daily/%name

%post
if [ $1 -eq 1 ]; then
	%__subst '\@Include conf/addon-modules/%name.conf@d' %apache_confdir/httpd.conf
	%__subst '\@Include conf/addon-modules.d/%name.conf@d' %apache_confdir/httpd.conf
	if %__grep -Fqs 'Include conf/addon-modules.d/*.conf' %apache_confdir/httpd.conf; then
		%__subst '\@Include conf/addon-modules.d/%apache_num%name.conf@d' %apache_confdir/httpd.conf
	else
		%__subst '\@Include conf/addon-modules.d/%apache_num%name.conf@p' %apache_confdir/httpd.conf
	fi
fi
#post_service httpd
#cd %bugzilla_dir && (./checksetup.pl ; sleep 1; ./collectstats.pl) ||:
%post_apacheconf

%preun
if [ $1 -eq 0 ]; then
  %__subst '/Include conf\/addon-modules.d\/%apache_num%name.conf/d' %apache_confdir/httpd.conf
  #preun_service httpd
fi
%postun_apacheconf

%files -n %name-perl
%defattr(644, root, root,755)
%_libexecdir/perl5/Bugzilla.pm
%_libexecdir/perl5/defparams.pl
%_libexecdir/perl5/Bugzilla

%files -n %name-doc-pdf
%doc docs/pdf

%files -n %name-doc
%doc README UPGRADING* contrib t runtests.sh
%doc docs/*

%files
%config(noreplace) %attr(644,root,root) %apache_confdir/addon-modules.d/%apache_num%name.conf
%config(noreplace) %attr(755,root,root) %_sysconfdir/cron.daily/%name

%defattr(640, root, %apache_group,750)
%attr(0750,root,%apache_group) %bugzilla_dir/*.cgi
%attr(0750,root,%apache_group) %bugzilla_dir/*.pl
#attr(0750,root,%apache_group) %bugzilla_dir/processmail
#attr(0750,root,%apache_group) %bugzilla_dir/syncshadowdb
%attr(750,root,%apache_group) %dir %bugzilla_dir/template
#attr(770,root,%apache_group) %dir %bugzilla_dir/graphs
#attr(750,root,%apache_group) %dir %bugzilla_dir/shadow
#attr(771,root,%apache_group) %dir %bugzilla_dir/data
#attr(750,root,%apache_group) %dir %bugzilla_dir/data/mining
%bugzilla_dir

%doc README UPGRADING* docs contrib t runtests.sh
%changelog
* Wed Apr 13 2005 Aleksey Avdeev <solo@altlinux.ru> 2.19.2-alt1
- SPEC modification
- no param usesearchcomponentsenterbug
- no auto start checksetup.pl and collectstats.pl post install
- defauld URL - http://<hostname>/bugzilla2.19
- defauld DB - bugs2_19

* Fri Mar 18 2005 Aleksey Avdeev <solo@altlinux.ru> 2.19.2-alt0
- new version 2.19.2
- SPEC modification

* Thu Feb 10 2005 Aleksey Avdeev <solo@altlinux.ru> 2.16.8-alt2
- SPEC modification
- add param usesearchcomponentsenterbug
  (bugzilla-usesearchcomponentsenterbug-feat.patch)

* Wed Jan 26 2005 Aleksey Avdeev <solo@altlinux.ru> 2.16.8-alt1
- SPEC modification
- new version 2.16.8
- update bugzilla-add-lang-switch.patch (for 2.16.8)
- remove bugzilla-apache-group-fix.patch (included in 2.16.8)
- auto start checksetup.pl and collectstats.pl post install
- generate bugzilla, bugzilla-perl, bugzilla-doc and
  bugzilla-doc-pdf

* Fri May 02 2003 Alexey Gladkov <legion@altlinux.ru> 2.16.3-alt1
- First build for ALTLinux
- SPEC modification
- new version 2.16.3
- some patches

* Sat Mar 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-4mdk
- cron task

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-3mdk
- automatic apache integration

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.16.1-2mdk
- rebuild

* Wed Oct 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.1-1mdk
- new version (security fixes)

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-2mdk
- fix Requires

* Tue Jul 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-1mdk
- new spanking major version
- misc spec file fixes

* Sat Jun  8 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.2-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.1-1mdk
- new version
- new URL

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- updated & fixed by Don Head <donhead@linux-certified.org> :
- Merge with Red Hat:
  - add requirement for perl-DBD-MySQL (Mandrake requires perl-Mysql)
  - updated to 2.14 for security errata
  - added requires for perl-GD
  - forgot to include *.js files. Fixed. (#42795)
  - updated to 2.12, updated perlpath patch
  - added suggested fixes from bug 19497
  - Security fixes 38411
  - Note: This is not the Red Hat version of Bugzilla. You can grab that 
    at ftp://people.redhat.com/dkl
  - fixed bug #16147, dependancy problems.
  - patched all the files which looked for perl in /usr/bonsaitools/bin
  - fixed problem with /usr/bonsai/perl not existing.

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.11-2mdk
- great fixes from Don Head <donhead@linux-certified.org> :
	- Move to /var/www for FHS
	- Fix perl requires

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.11-1mdk
- used srpm from  Oden Eriksson <oden@kvikkjokk.com> :
	- 2.11
	- changed the perl path

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- somehow changes were lost, don't know why but they were. Fixed

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed location for installation. Now out of /home (it's about time).

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10

* Thu Jan 13 2000 Dave Lawrence <dkl@redhat.com>
- Minor cosmetic changes
- Different group permission mechanisms
- Packaged for Powertools
 
* Wed Nov 24 1999 Dave Lawrence <dkl@redhat.com>
- updated to 2.8 (w/Red Hat mods)
- added perl and perl-DBI to requires

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 2.4, updated %post
- added URL and download loc.
- rebuilt for 6.1

* Mon Jan 11 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit.
- ran thru build system

* Thu Dec 10 1998 Andrew Anderson <andrew@redhat.com>
- Initial packaging

